Subject: [manet] ATCP implementation

From: Xavi Mantecón - UPCNet<[email-masked]>
Date: Wed, 26 Jan 2005 22:58:16 +0100

Hi to all,

      I am trying to implement ATCP in FreeBSD 4.2. Well, I'm in contact 
with one of the co-authors of the implementation, but he doesn't know 
how to help me. I've installed it, with and without ALTQ (if I remove 
ALTQ, I remove the parts of the ATCP code which refers to it), and it 
doesn't work. When I attempt to stablish a TCP connection, FreeBSD 
crashes giving me this message:

Fatal trap 12: page fault while in kernel mode
fault virtual address = 0x0
fault code = supervisor read, page not present
instruction pointer = 0x8:0x0
stack pointer = 0x10:0xc0372870
frame pointer = 0x10:0xc0372890
code segment = base 0x0, limit 0xfffff, type 0x1b
                   = DPL 0, pres 1 def32 1 ,gran 1
processor eflags = interrupt enabled, rsume, IOPL = 0
current process = idle
interrupt mask =
trap number =12
panic: page fault

rebooting....

Has anybody succesfully implemented ATCP? I am using FreeBSD 4.2, if I 
implement ALTQ I use the FreeBSD 4.2 patch, and ATCP is implemented in 
FreeBSD 4.2, so, why it's not working?

I've made a google search and it seems that nobody has used ATCP, except 
simulating in NS2, so I don't know if it has ever really worked fine.

Thanks in advance,

Xavi

_______________________________________________
manet mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/manet